Subject: Re: bug#21454: 25.1.50; `parse-colon-path' fails with file names containing multiple consecutive "/"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 17:28:46 +0200

Tino Calancha <[email-masked]> writes:

> Do not truncate /foo//bar to /bar/
> * lisp/files.el (parse-colon-path): Use substitute-env-vars and
> expand-file-name instead of substitute-in-file-name (Bug#21454).

The bug report was slightly unclear, but I think the taste case was

(parse-colon-path "/foo//bar/baz")
=> ("/bar/baz/")

and that being a mistake?  But I'm not sure it is -- In Emacs, if you do
that in, say, find-file, you'll end up in /bar/baz, and that's by
design.

But I may have misread what this was about...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no